zenilib: PFR_KernItemRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PFR_KernItemRec_ Struct Reference

`#include <pfrtypes.h>`

## Public Attributes

FT_Short | base_adj
FT_Byte | flags
PFR_KernItem | next
FT_Offset | offset
FT_UInt32 | pair1
FT_UInt32 | pair2
FT_Byte | pair_count
FT_UInt | pair_size

## Detailed Description

Definition at line 196 of file pfrtypes.h.

## Member Data Documentation

FT_Short PFR_KernItemRec_::base_adj

Definition at line 201 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), and pfr_face_get_kerning().

FT_Byte PFR_KernItemRec_::flags

Definition at line 200 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), and pfr_face_get_kerning().

PFR_KernItem PFR_KernItemRec_::next

Definition at line 198 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), pfr_face_get_kerning(), and pfr_phy_font_done().

FT_Offset PFR_KernItemRec_::offset

Definition at line 203 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), and pfr_face_get_kerning().

FT_UInt32 PFR_KernItemRec_::pair1

Definition at line 204 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), and pfr_face_get_kerning().

FT_UInt32 PFR_KernItemRec_::pair2

Definition at line 205 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs().

FT_Byte PFR_KernItemRec_::pair_count

Definition at line 199 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), and pfr_face_get_kerning().

FT_UInt PFR_KernItemRec_::pair_size

Definition at line 202 of file pfrtypes.h.

Referenced by pfr_extra_item_load_kerning_pairs(), and pfr_face_get_kerning().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pfr/pfrtypes.h